import { Map } from 'immutable'

import EditBankModal from '../index'

describe('EditBankModal Container', () => {
  const ConnectedEditBankModal = withContext(EditBankModal)
  const testbed = createTestbed(ConnectedEditBankModal, {
    modalOpen: true,
    workingBank: {},
    errorsShowing: Map(),
    updateBank: sinon.stub(),
    changeBank: sinon.stub(),
    clearModifications: sinon.stub(),
    errorShowingActions: {},
    closeModal: sinon.stub()
  })

  useFakeFetching({dispatchStub: sinon.stub(),
    getStateStub: sinon.stub(),
    fetchStub: sinon.stub()})

  shouldRenderComponent(testbed, {}, EditBankModal)
})
